#include "tiptiltgcs.h"
#include "ui_tiptiltgcs.h"


// cumbia
#include <cumbiapool.h>
#include <cuserviceprovider.h>
#include <cumacros.h>
#include <quapps.h>
// cumbia
#include <QErrorMessage>

TipTiltGcs::TipTiltGcs(CumbiaPool *cumbia_pool, QWidget *parent) :
  QWidget(parent)
{
  // cumbia
  CuModuleLoader mloader(cumbia_pool, &m_ctrl_factory_pool, &m_log_impl);
  cu_pool = cumbia_pool;
  ui = new Ui::tiptiltgcs;
  ui->setupUi(this, cu_pool, m_ctrl_factory_pool);

  if (QApplication::arguments().size() >= 3){
      QString tabsel=QApplication::arguments()[2];
      if (tabsel.contains("X") || tabsel.contains("Y"))
        ui->tabWidget->setCurrentIndex(0);
      if (tabsel.contains("F") || tabsel.contains("N"))
        ui->tabWidget->setCurrentIndex(1);
    }

}

TipTiltGcs::~TipTiltGcs()
{
  delete ui;
}

